import contextlib


class C:
    def test_shared_proxy_without_callback(self):
        class MyObj:
                nonlocal obj
        with self.assertRaises(TypeError), contextlib.suppress(StopIteration):
            next(it)

from test import mapping_tests

import pytest


class WeakValueDictionaryTestCase(mapping_tests.BasicTestMappingProtocol):
        with pytest.raises(TypeError):
            weakref.finalize(a, func=fin, arg=1)
